Page MenuHomePhabricator

Bundle "Thanks" notifications
Closed, ResolvedPublic

Description

T114356#1719436 suggests bundling thanks for the same edit, due to limitations in the bundling system. However, once those limitations are removed, we will be able to bundle thanks notifications in different ways too. We should explore what way of bundling Thanks notifications would make sense.

Event Timeline

Jdforrester-WMF raised the priority of this task from to Normal.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptDec 3 2015, 12:24 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Luke081515 added a subscriber: Luke081515.
Catrope renamed this task from Bundle "Thanks" notifications when multiple users thank you for the same edit to Bundle "Thanks" notifications.Apr 12 2016, 10:39 PM
Catrope updated the task description. (Show Details)
Catrope set Security to None.
jmatazzoni added a subscriber: jmatazzoni.

Needs more product definition. At present, leaving it on the Q4 board, but we need to decide whether we can get to it this quarter.

jmatazzoni added a comment.EditedMay 17 2016, 1:01 AM

GRANULARITY:
After some discussion, the decision is to a) make thanks bundling expandable and b) bundle at the level of individual edits. (I.e., instead of all thanks about a particular page or topic, say.)

NOTE: an initital, draft version of the new language for bundled thanks—previosuly included with this comment— was deleted 6/8/16, in favor of the team-approved language below.

BUNDLING LANGUAGE
Below please find the language and links the team approved on 6/8/16

Edit-Thanks

Current:

  • Bundled message: [?—not on my spreadsheet]
  • Single Message: Fama thanked you for your edit on Moai.
  • Primary link: Diff of the edit
  • Secondary link #1: username of thanker
  • Secondary link #2: null

Proposed for expandable bundle

  • Bundled message: 5 people thanked you for your edit on Moai
  • Display truncated version of: summary or excerpt [in that order of preference]
  • Primary link: Diff of the edit
  • Secondary link #1: expand
  • Secondary link #2: null
  • Single Message: Fama thanked you.
  • Primary link: Diff of the edit
  • Secondary link #1: username of thanker
  • Secondary link #2: null

Flow-Thanks

Current:

  • Bundled message: [?—not on my spreadsheet]
  • Single Message: Fama thanked you for your comment in "How the Moai Moved".
  • Primary link: the post you were thanked for
  • Secondary link #1: username of thanker
  • Secondary link #2: name of the talk page

Proposed

  • Bundled message: 5 people thanked you for your edit in “How the moai moved
  • Display truncated version of: excerpt
  • Primary link: the post you were thanked for
  • Secondary link #1: expand
  • Secondary link #2: name of the talk page
  • Single Message: Fama thanked you.
  • Primary link: the post you were thanked for
  • Secondary link #1: username of thanker
  • Secondary link #2: name of the talk page

Change 294731 had a related patch set uploaded (by Sbisson):
Maintenance script generates edit-thank notifications

https://gerrit.wikimedia.org/r/294731

Change 294733 had a related patch set uploaded (by Sbisson):
[WIP] Make thanks notifications expandable bundles

https://gerrit.wikimedia.org/r/294733

Change 294731 merged by jenkins-bot:
Maintenance script generates edit-thank notifications

https://gerrit.wikimedia.org/r/294731

The current header text for flow-thank is actually:

Fama thanked you for your comment in "How the Moai Moved" on "Page_name".

(notice the page name at the end)

@jmatazzoni does it change your opinion about what the bundled message should be? Should we add the page name at the end for the bundled message? Should we remove it for the single message? Thanks.

Stephane writes:

The current header text for flow-thank is actually:
Fama thanked you for your comment in "How the Moai Moved" on "Page_name".

If that is what the Flow-thank message is currently, then that is not correct according to the spreadsheet. (I think that is the old message, FWIW. In editing these, we tended to drop information like the page name when it can be in the secondary links.)

I think we should leave the bundled message as specified and fix the standard flow-thank message to match the spec:

Fama thanked you for your comment in "How the Moai Moved".

Do we need to make a separate task for that?

I think we should leave the bundled message as specified and fix the standard flow-thank message to match the spec:

OK

Do we need to make a separate task for that?

No, I'll just do it now.

Change 294928 had a related patch set uploaded (by Sbisson):
Try to extract an excerpt from a revision

https://gerrit.wikimedia.org/r/294928

Change 294928 merged by jenkins-bot:
Try to extract an excerpt from a revision

https://gerrit.wikimedia.org/r/294928

Change 294733 merged by jenkins-bot:
Make thanks notifications expandable bundles

https://gerrit.wikimedia.org/r/294733

Checked in betalabs - 'Thanks' are made for the same post by different users are bundled. Examples are for Flow-Thanks:

All specs for Flow-thanks links seem to be in place.

Cross-wiki bundled Thanks:

Some questions:

  1. 'Thanked' status is not persistent per user - e.g. a user who 'Thanked' in one browser, will see that 'Thank' can be done again when he'll go to the post in another browser.

The same happens, of course, when cookies are cleared.

  1. After 'Thanked' a user re-sort topics on Flow board, 'Thanked' will be displayed as 'Thank' again.
  2. The page e.g. Special:Thanks/Flow/[revision number] is displayed quite unexpectedly when multiple 'Thanks' are performed or with a double-click on 'Thanks'

An edge case: if a user has two accounts, logging as a different user after 'Thanked' was done from another account, will display the post as 'Thanked'. Reloading page is no use - 'Thanked' stays. It switches to 'Thank' only if the topics are re-sorted or cookies are deleted.

It's only in front-end; the back-end sends only one Thank.

Let me know if the issues described above should be split into a separate bug.

Screenshots for edit-thank notifications - functionally and visually they are identical to Flow-Thanks:
Notice: 'Thank you for your edit' and a different icon indicating a non-Flow page.

jmatazzoni closed this task as Resolved.Jul 5 2016, 7:02 PM

In answer to your question @Etonkovidova, yes, please add a separate ticket for the Flow thank anomalies you meniton. Meanwhile, I'll close this.